{lib, ...}: let
  inherit (lib) mkOption types;
in {
  options.remote = {
    ip = mkOption {
      type = types.str;
    };
    sshUser = mkOption {
      type = types.str;
      default = "root";
    };
    sshPort = mkOption {
      type = types.port;
      default = 22;
    };
    allowLocalDeployment = mkOption {
      type = types.bool;
      default = false;
    };
    remoteBuild = mkOption {
      type = types.bool;
      default = true;
    };
  };
}
